Jump to content


Photo

1pp animation fixes for IWD:TotLM


  • Please log in to reply
58 replies to this topic

#1 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 17 July 2011 - 03:28 PM

Hi :)

This is really another edition of 'should have been released a long time ago' but yes. This is pretty much a fixpack for IWD: TotLM allowing you to do any combination of three things:



Fix character attack animation sounds in TotLM

I'm not sure if anyone else was annoyed by this or even noticed, but if you patched HoW to TotLM weapon-specific attack sounds went broken. No more clinks of swords and whirly slings and bows being drawn, but just this odd, washed out frglrgh.

Well, this is not a feature of TotLM but a bug in the game engine (turns out the noise is actually a wyvern attack sound) so this component fixes it. Sadly no previews here, but there are some in the readme *nudge nudge*




Restore combat stance animations in Icewind Dale

Pretty self-explanatory. Icewind Dale doesn't render combat stance animations (always defaulting to the idle animations) which sometimes looks a bit off since the attack animations themselves are made to fit the unplayed sequences. If you install this component, animations render the way they do in Baldur's Gate.

Posted Image

As an optional choice during install, it also includes a few fixes for some of Icewind Dale's scripting issues, leading to characters being perpetually busy (which could actually be either a cause or an effect of the animations being disabled as it's a lot more obvious if they're not).

However, as this does replace the affected character scripts I highly recommend installing this part before anything else that might touch .bcs scripts.

I've made an attempt not to break your game (*crosses fingers*) but if I messed up in the (re)scripting somewhere, please let me know.




Use IWD/BG1 (legacy) character animations in HoW/TotLM

Yes. I guess if you looked closely at the previous screenshot, I've already spoiled it for you, but you can now play HoW/TotLM with the original Icewind Dale/BG1 character animations if you like. It makes sense to have something like this, since IWD doesn't actually use any of the problematic new features such as dual wielding, etc. :)

Posted Image

Posted Image

Posted Image



You can find the download here

崇高滑稽


#2 ScuD

ScuD
  • Member
  • 492 posts

Posted 17 July 2011 - 05:17 PM

What about the compatibility with other 1PP mods and the installation order? For now I cannot install Dwarves after this mod and vice versa (only the 3rd component fails).

Edited by ScuD, 17 July 2011 - 05:17 PM.


#3 Daulmakan

Daulmakan

    Comfortably numb

  • Member
  • 1064 posts

Posted 17 July 2011 - 05:51 PM

Was this the announcement? Or are there more surprises yet to come?

#4 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 17 July 2011 - 06:04 PM

It wasn't, actually. So, yes. :unsure:


What about the compatibility with other 1PP mods and the installation order? For now I cannot install Dwarves after this mod and vice versa (only the 3rd component fails).

Obvious incompatibility because you can't use a patch for BG II animations on BG I animations and vice versa. Thieves galore would be useless too, although it might install (just not change anything). Likewise, any object animations (e.g. flame swords).

As for the BG I content itself (if you'd like to use it), thieves galore isn't really required because BG I animations handle armour levels correctly. Same with the flaming swords, which have BG I content available without external mods. The female dwarves for this have been handled in the same way IWD originally does ? they use copies of halfling avatars but have their own paperdolls.

Hmm. Maybe I should put a note in the compatibility/mod requirements section if I update for a future version?

There shouldn't be any specifics regarding install order that I'm aware of.

崇高滑稽


#5 ScuD

ScuD
  • Member
  • 492 posts

Posted 17 July 2011 - 06:29 PM

So, I usually used for IWD:
  • 1PP Extended Palette Entries
  • 1PP - Flame Swords (all), Paperdolls, Legacy Shields (all), Colourable Quarterstaves
  • 1PP Avatars - All
  • 1PP Female Dwarves
  • 1PP Thieves Galore
Which of them are not needed when using this mod?

#6 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 17 July 2011 - 06:42 PM

So, I usually used for IWD:

  • 1PP Extended Palette Entries
  • 1PP - Flame Swords (all), Paperdolls, Legacy Shields (all), Colourable Quarterstaves
  • 1PP Avatars - All
  • 1PP Female Dwarves
  • 1PP Thieves Galore
Which of them are not needed when using this mod?


  • 1PP Extended Palette Entries
  • 1PP - Flame Swords (all), Paperdolls, Legacy Shields (all), Colourable Quarterstaves
  • 1PP Avatars - All
  • 1PP Female Dwarves
  • 1PP Thieves Galore

(if you want to use component #3)

崇高滑稽


#7 ScuD

ScuD
  • Member
  • 492 posts

Posted 17 July 2011 - 06:53 PM

Very nice :) Thank you!

#8 Daulmakan

Daulmakan

    Comfortably numb

  • Member
  • 1064 posts

Posted 17 July 2011 - 07:58 PM

It wasn't, actually. So, yes. :unsure:


Ooh, even more goodies. :Bow:

#9 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 17 July 2011 - 10:08 PM

I'm not sure if anyone else was annoyed by this or even noticed, but if you patched HoW to TotLM weapon-specific attack sounds went broken.

It would appear so.

I'M SORRY PEOPLE OF 2004?2008.

崇高滑稽


#10 Andrea C.

Andrea C.
  • Member
  • 275 posts

Posted 18 July 2011 - 03:51 AM

It wasn't, actually. So, yes. :unsure:


You're flooding us with awesome, Erephine!! :Bow:

#11 Creepin

Creepin
  • Administrator
  • 1676 posts

Posted 18 July 2011 - 07:37 AM

  • 1PP Extended Palette Entries
  • 1PP - Flame Swords (all), Paperdolls, Legacy Shields (all), Colourable Quarterstaves
  • 1PP Avatars - All
  • 1PP Female Dwarves
  • 1PP Thieves Galore

(if you want to use component #3)

Am I getting it right that BG1 animations and female dwarves can't be installed at the same time? Since "1ppv3: Female Dwarves" states that it's applicable to IWD TotLM, does that mean that if I chose 1pp animations, there won't be any female dwarves or gnomes? Or have "1pp animation fixes for IWD" took care of this on it's own?

Edited by Creepin, 18 July 2011 - 11:38 AM.

The Old Gold - v0.2 WIP (mod for BGT/BWP/BWS)


#12 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 18 July 2011 - 12:50 PM

Am I getting it right that BG1 animations and female dwarves can't be installed at the same time?

Yes.


Since "1ppv3: Female Dwarves" states that it's applicable to IWD TotLM, does that mean that if I chose 1pp animations, there won't be any female dwarves or gnomes? Or have "1pp animation fixes for IWD" took care of this on it's own?

It is applicable to IWD TotLM if using the BG II animations (which is standard for HoW/TotLM).

It isn't if you want to use the BG I animations instead (component #3 of this), in which case the situation is as outlined above.

Which is really a question of personal preference. As stated in the first post, the three components in iwd_fixes are completely independent, so you can pick and choose whichever you like.

崇高滑稽


#13 Dakk

Dakk
  • Member
  • 398 posts

Posted 19 July 2011 - 06:13 AM

I'M SORRY PEOPLE OF 2004?2008.


:ROFL: .. it's like The Langoliers.

#14 pacek

pacek
  • Member
  • 34 posts

Posted 27 July 2011 - 06:31 PM

Hi Erephrine, I'm getting errors when trying to install. I have HOW patch 1.42, I believe this is the latest version? Cheers!

Attached Files



#15 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 28 July 2011 - 11:05 AM

Hi Erephrine, I'm getting errors when trying to install. I have HOW patch 1.42, I believe this is the latest version? Cheers!

1.4.2 (TotLM) should be the right one, and the fact that the first component installs fine would also indicate you're using the right version.

Do any of the G3 tweaks patch the executable in any way? Are you using a plain executable (no No CD patches/etc)? Which language is your install?

崇高滑稽


#16 cosmo

cosmo
  • Member
  • 4 posts

Posted 31 July 2011 - 01:39 PM


Hi Erephrine, I'm getting errors when trying to install. I have HOW patch 1.42, I believe this is the latest version? Cheers!

1.4.2 (TotLM) should be the right one, and the fact that the first component installs fine would also indicate you're using the right version.

Do any of the G3 tweaks patch the executable in any way? Are you using a plain executable (no No CD patches/etc)? Which language is your install?


Hello Erephine, i downloaded your mod and i'm afraid to say i have exactly the same problem (Win7 + plain exe + english install)...

#17 Creepin

Creepin
  • Administrator
  • 1676 posts

Posted 31 July 2011 - 09:41 PM

Hello Erephine, i downloaded your mod and i'm afraid to say i have exactly the same problem (Win7 + plain exe + english install)...

I've got exactly same issue as well: 1st component installed ok, 2nd component claimed exe is uncompatible. I tried to install under Win7/cracked exe/english version, didn't bother to report before as I thought cracked exe was the reason, but with this issue present for those with vanilla exe I figured report on cracked exe might add something to the scope of the problem. Also, the fact that 1st component installed fine for me might hint that exe crack wasn't the cause.

The Old Gold - v0.2 WIP (mod for BGT/BWP/BWS)


#18 Erephine

Erephine

    leit a lfi

  • Member
  • 1912 posts

Posted 31 July 2011 - 11:33 PM

Hmm.. Seems like I might have screwed something up or there are different TotLM executables in circulation, then. Does #3 install or does it fail as well?

Also, can you try with this debug installer (just replace the .tp2) and let me know what it says?

1pp_iwd_fixes_debug.rar

崇高滑稽


#19 cosmo

cosmo
  • Member
  • 4 posts

Posted 01 August 2011 - 01:19 AM

Hmm.. Seems like I might have screwed something up or there are different TotLM executables in circulation, then. Does #3 install or does it fail as well?

Also, can you try with this debug installer (just replace the .tp2) and let me know what it says?

1pp_iwd_fixes_debug.rar


I don't know if it changes anything, but i chose "full install" for iwd. Third option of the mod doesn't install either.
I encountered the same issue with your palette mod, but not with 1pp-v2.

I attached my Debug file, for me the installer says something like "144 is not 0xe0 at 0x4c30fb", and so on...

Attached Files


Edited by cosmo, 01 August 2011 - 02:24 AM.


#20 ScuD

ScuD
  • Member
  • 492 posts

Posted 01 August 2011 - 06:39 AM

I think there's something with the WeiDU installation, fixable in TP2. Don't know how though :)
The mentioned problem workaround is:
- install 1st component, quit
- install 2nd component, quit
- install 3rd component
If installing them without quit there's an error about the wrong EXE version.